Bug 808650 - atheros ar3012 bluetooth in asus ux31e/ux21e not recognized
atheros ar3012 bluetooth in asus ux31e/ux21e not recognized
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 22:40 EDT by John Heidemann
Modified: 2012-04-03 14:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 14:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel spec patch to apply patch from gmane.linux.bluez.kernel (826 bytes, patch)
2012-03-30 22:43 EDT, John Heidemann
no flags Details | Diff
kernel patch from http://article.gmane.org/gmane.linux.bluez.kernel/18830 (1.19 KB, patch)
2012-03-30 22:45 EDT, John Heidemann
no flags Details | Diff

  None (edit)
Description John Heidemann 2012-03-30 22:40:48 EDT
Description of problem:

Bluetooth on an ASUS UX31E (tested) refuses to discover devices during pairing.


Version-Release number of selected component (if applicable):
3.3.0-4.fc16.x86_64

How reproducible:
every time

Steps to Reproduce:
1. boot fedora 16 with patches to linux-3.3.0-4.fc16.x86_64 into gnome-3
2. choose "set up a new device..." from the bluetooth menu > continue to device search
3. push the "pairing" button on your keyboard
4. be disappointed when your keyboard (in my case, a microsoft bluetooth keyboard 6000) doesn't show up
  
Actual results:
no pairing.  no keyboard. no love.

Expected results:
keyboard discovery and typing glory.

Additional info:
Patch at http://thread.gmane.org/gmane.linux.bluez.kernel/18801
applied in Ubunutu https://help.ubuntu.com/community/AsusZenbook
as of 2012-03-22.

I confirm the patch works in Fedora 3.3.0-4 kernel as well.

Patch is in linux-next (the web says) but not in 3.3.0.
Comment 1 John Heidemann 2012-03-30 22:43:29 EDT
Created attachment 574118 [details]
kernel spec patch to apply patch from gmane.linux.bluez.kernel
Comment 2 John Heidemann 2012-03-30 22:45:15 EDT
Created attachment 574119 [details]
kernel patch from http://article.gmane.org/gmane.linux.bluez.kernel/18830

(filename says linux-2.6, but that's wrong; should be linux-3.3)
Comment 3 John Heidemann 2012-04-02 16:46:02 EDT
This patch is in 3.3.1, so no need for my patch if (/when) you roll forward.
Comment 4 Josh Boyer 2012-04-03 14:00:07 EDT
All branches are on 3.3.1 or newer now.  This should be fixed per comment #3.

Note You need to log in before you can comment on or make changes to this bug.